## org.eclipse.emf.common.ui.dialogs
Class WorkspaceResourceDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.ui.dialogs.SelectionDialog
                      org.eclipse.ui.dialogs.SelectionStatusDialog
                          org.eclipse.ui.dialogs.ElementTreeSelectionDialog
                              org.eclipse.emf.common.ui.dialogs.WorkspaceResourceDialog

All Implemented Interfaces:
  IShellProvider, ISelectionStatusValidator

    public class WorkspaceResourceDialog

extends ElementTreeSelectionDialog
implements ISelectionStatusValidator

Since:
  2.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary
`protected Text` `fileText`
`protected java.lang.String` `fileTextContent`
`protected Button` `newFolderButton`
`protected IContainer` `selectedContainer`
`protected boolean` `showFileControl`
`protected boolean` `showFiles`
`protected boolean` `showNewFolderControl`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`WorkspaceResourceDialog(Shell parent, ILabelProvider labelProvider, ITreeContentProvider contentProvider)`

Method Summary
`ViewerFilter` `createDefaultViewerFilter(boolean showFiles)`
`protected Control` `createDialogArea(Composite parent)`
`protected void` `createFileControl(Composite parent)`
`protected void` `createNewFolderControl(Composite parent)`
`protected void` `fileTextModified(java.lang.String text)`
`IFile` `getFile()`
`java.lang.String` `getFileText()`
`IContainer[]` `getSelectedContainers()`
`IFile[]` `getSelectedFiles()`
`boolean` `isShowFileControl()`
`boolean` `isShowNewFolderControl()`
`void` `loadContents()`
`protected void` `newFolderButtonPressed()`
`static IFile[]` `openFileSelection(Shell parent, java.lang.String title, java.lang.String message, boolean allowMultipleSelection, java.lang.Object[] initialSelection, java.util.List<ViewerFilter> viewerFilters)`
`static IContainer[]` `openFolderSelection(Shell parent, java.lang.String title, java.lang.String message, boolean allowMultipleSelection, java.lang.Object[] initialSelection, java.util.List<ViewerFilter> viewerFilters)`
`static IFile` `openNewFile(Shell parent, java.lang.String title, java.lang.String message, IPath suggestedPath, java.util.List<ViewerFilter> viewerFilters)`
`void` `setFileText(java.lang.String text)`
`void` `setShowFileControl(boolean showFileControl)`
`void` `setShowNewFolderControl(boolean showNewFolderControl)`
`protected void` `updateNewFolderButtonState()`
`IStatus` `validate(java.lang.Object[] selectedElements)`

Methods inherited from class org.eclipse.ui.dialogs.ElementTreeSelectionDialog
`access$setResult, access$superButtonPressed, addFilter, cancelPressed, computeResult, create, createTreeViewer, doCreateTreeViewer, getTreeViewer, handleShellCloseEvent, open, setAllowMultiple, setComparator, setDoubleClickSelects, setEmptyListMessage, setInitialSelection, setInput, setSize, setSorter, setValidator, updateOKStatus`

Methods inherited from class org.eclipse.ui.dialogs.SelectionStatusDialog
`configureShell, createButtonBar, getFirstResult, okPressed, setImage, setResult, setStatusLineAboveButtons, updateButtonsEnableState, updateStatus`

Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog
`createButtonsForButtonBar, createMessageArea, getDialogBoundsSettings, getDialogBoundsStrategy, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, isResizable, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`close, closeTray, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### showNewFolderControl

    protected boolean showNewFolderControl

### showFileControl

    protected boolean showFileControl

### showFiles

    protected boolean showFiles

### newFolderButton

    protected Button newFolderButton

### fileText

    protected Text fileText

### fileTextContent

    protected java.lang.String fileTextContent

### selectedContainer

    protected IContainer selectedContainer

Constructor Detail

### WorkspaceResourceDialog

    public WorkspaceResourceDialog(Shell parent,
                                   ILabelProvider labelProvider,
                                   ITreeContentProvider contentProvider)

Method Detail

### openFolderSelection

    public static IContainer[] openFolderSelection(Shell parent,
                                                   java.lang.String title,
                                                   java.lang.String message,
                                                   boolean allowMultipleSelection,
                                                   java.lang.Object[] initialSelection,
                                                   java.util.List<ViewerFilter> viewerFilters)

### openFileSelection

    public static IFile[] openFileSelection(Shell parent,
                                            java.lang.String title,
                                            java.lang.String message,
                                            boolean allowMultipleSelection,
                                            java.lang.Object[] initialSelection,
                                            java.util.List<ViewerFilter> viewerFilters)

### openNewFile

    public static IFile openNewFile(Shell parent,
                                    java.lang.String title,
                                    java.lang.String message,
                                    IPath suggestedPath,
                                    java.util.List<ViewerFilter> viewerFilters)

### loadContents

    public void loadContents()

### createDefaultViewerFilter

    public ViewerFilter createDefaultViewerFilter(boolean showFiles)

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Overrides:
    `createDialogArea` in class `ElementTreeSelectionDialog`

### createNewFolderControl

    protected void createNewFolderControl(Composite parent)

### updateNewFolderButtonState

    protected void updateNewFolderButtonState()

### newFolderButtonPressed

    protected void newFolderButtonPressed()

### createFileControl

    protected void createFileControl(Composite parent)

### fileTextModified

    protected void fileTextModified(java.lang.String text)

### validate

    public IStatus validate(java.lang.Object[] selectedElements)

  Specified by:
    `validate` in interface `ISelectionStatusValidator`

### getSelectedContainers

    public IContainer[] getSelectedContainers()

### getSelectedFiles

    public IFile[] getSelectedFiles()

### getFile

    public IFile getFile()

### setFileText

    public void setFileText(java.lang.String text)

### getFileText

    public java.lang.String getFileText()

### isShowNewFolderControl

    public boolean isShowNewFolderControl()

### setShowNewFolderControl

    public void setShowNewFolderControl(boolean showNewFolderControl)

### isShowFileControl

    public boolean isShowFileControl()

### setShowFileControl

    public void setShowFileControl(boolean showFileControl)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.